Package org.opensaml.saml.saml2.binding.security.impl

# Class SAML2HTTPRedirectDeflateSignatureSecurityHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.messaging.handler.AbstractHttpServletRequestMessageHandler
org.opensaml.saml.common.binding.security.impl.BaseSAMLSimpleSignatureSecurityHandler
org.opensaml.saml.saml2.binding.security.impl.SAML2HTTPRedirectDeflateSignatureSecurityHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class SAML2HTTPRedirectDeflateSignatureSecurityHandler extends BaseSAMLSimpleSignatureSecurityHandler
Message handler which evaluates simple "blob" signatures according to the SAML 2 HTTP-Redirect DEFLATE binding.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`SAML2HTTPRedirectDeflateSignatureSecurityHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`ruleHandles(MessageContext messageContext)`
Determine whether the rule should handle the request, based on the unwrapped HTTP servlet request and/or message context.

### Methods inherited from class org.opensaml.saml.common.binding.security.impl.BaseSAMLSimpleSignatureSecurityHandler

`buildCriteriaSet, deriveSignerEntityID, doInvoke, doPreInvoke, getRequestCredentials, getSignature, getSignatureAlgorithm, getSignedContent, getTrustEngine, validateSignature`

### Methods inherited from class org.opensaml.messaging.handler.AbstractHttpServletRequestMessageHandler

`doInitialize, getHttpServletRequest, getHttpServletRequestSupplier, isCheckDuringInit, setCheckDuringInit, setHttpServletRequestSupplier`

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### SAML2HTTPRedirectDeflateSignatureSecurityHandler

public SAML2HTTPRedirectDeflateSignatureSecurityHandler()

## Method Details

### ruleHandles

protected boolean ruleHandles(@Nonnull MessageContext messageContext) throws MessageHandlerException
Determine whether the rule should handle the request, based on the unwrapped HTTP servlet request and/or message context.

Specified by:
  `ruleHandles` in class `BaseSAMLSimpleSignatureSecurityHandler`
Parameters:
  `messageContext` - the SAML message context being processed
Returns:
  true if the rule should attempt to process the request, otherwise false
Throws:
  `MessageHandlerException` - thrown if there is an error during request processing